package org.osm2world.core.map_data.creation;

import static org.junit.Assert.assertSame;

import java.io.File;
import java.io.IOException;

import org.junit.Test;
import org.osm2world.core.map_data.creation.HackMapProjection;
import org.osm2world.core.map_data.creation.MapProjection;
import org.osm2world.core.map_data.creation.OSMToMapDataConverter;
import org.osm2world.core.map_data.data.MapArea;
import org.osm2world.core.map_data.data.MapData;
import org.osm2world.core.osm.creation.OsmosisReader;
import org.osm2world.core.osm.data.OSMData;


public class OSMToGridConverterTest {

	@Test
	public void testValidFile() throws IOException {
		
		File testFile = new File("test"+File.separator+"files"+File.separator
				+"reader_test"+File.separator+"simpleGrid.osm");

		OSMData osmData = new OsmosisReader(testFile).getData();
		MapProjection mapProjection = new HackMapProjection(osmData);
		MapData grid = new OSMToMapDataConverter(mapProjection).createMapData(osmData);

		assertSame(12, grid.getMapNodes().size());
		assertSame(7, grid.getMapWaySegments().size());
		assertSame(1, grid.getMapAreas().size());
		
		MapArea area = grid.getMapAreas().iterator().next();
		
		assertSame(6, area.getBoundaryNodes().size()); //first/last node is in there twice
				
	}
	
}
